intel新架构Skylake+nvidia的段错误及临时解决方案

回复
oldoldstone
帖子: 190
注册时间: 2009-08-05 11:38
送出感谢: 3 次
接收感谢: 1 次

intel新架构Skylake+nvidia的段错误及临时解决方案

#1

帖子 oldoldstone » 2015-12-07 14:58

最近败了一个新电脑,i7 6700k+gtx 970 +z170p的三大件,算得上是不错的配置,到手自然是装洗发水啦。
我本来有一个固态硬盘USB盒子,里面装了arch,于是就拆下来放到机器里,本来没啥问题,就是我从开源驱动nouveau换到闭源驱动nvidia后,各种问题就来了,xfce不断提示I/O错误,envince没有图标,更新软件经常会有段错误,我以为系统不行,重装后依旧如此。
于是只能放狗搜索,发现问题出在intel的microcode,我按照wiki进行操作,结果依旧,因为最新的ucode是2015.2月份的,那时Skylake还没出。
又是一番折腾,终于在arch论坛找到了临时的解决方法
就是:
重新编译glibc和lib32-glibc, 将--enable-lock-elision去掉
步骤(我自己的,供参考):
安装abs并运行。会在/var/abs目录生成所有软件包的pkgbuild,将abs/core/glibc和abs/multilib/lib32-glibc 两个目录拷贝到用户目录(就是有操作权限)
修改pkgbuild文件,将--enable-lock-elision这一行删掉,
进入目录,makepkg编译,如果提示签名错误需要导入密钥,运行

代码: 全选

gpg --recv-keys 25EF0A436C2A4AFF 
如果提示没有服务器,先运行

代码: 全选

gpg --list-keys 
最后pacman -U 安装新的glibc和lib32-glibc
注意千万不能先删除glibc再安装,否则后果很严重 :em06
回复

回到 “Arch发行版”